Bug 279251 - cpan2rpm doesn't work with latest Pod::Text
cpan2rpm doesn't work with latest Pod::Text
Status: CLOSED DUPLICATE of bug 481147
Product: Fedora
Classification: Fedora
Component: cpan2rpm (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Gavin Henry
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-05 15:48 EDT by Roland Roberts
Modified: 2009-05-12 08:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 481147 (view as bug list)
Last Closed: 2008-06-16 22:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland Roberts 2007-09-05 15:48:55 EDT
Description of problem:

The latest version of Pod::Text from CPAN is from RRA/podlators-2.0.5.tar.gz

Pod::Text no longer derives from Pod::Parser so the method 'interpolate' does
not exist.  As near as I can tell, this is the only method used in cpan2rpm, so
Pod::Text can be changed to Pod::Parser in the two places it appears.  This is
what I did locally and it now works for me.

Version-Release number of selected component (if applicable):


How reproducible:

update Pod::Text via cpan.
Run cpan2rpm for some module (any will do...)
Actual results:

-- module: /var/cache/cpan/build/libwww-perl-5.808-baHtIL --
Metadata retrieval
Can't locate object method "interpolate" via package "Pod::Text" at
/usr/bin/cpan2rpm line 522.
-- Done --

Expected results:

No failure from above.

Additional info:
Comment 1 Bug Zapper 2008-05-14 10:14:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:19:58 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Stepan Kasal 2009-05-12 08:40:52 EDT
Actually, the bug has been fixed in rawhide a few months later.

*** This bug has been marked as a duplicate of bug 481147 ***

Note You need to log in before you can comment on or make changes to this bug.